Bug 347511 - Port libwvstreams to use NSS library for cryptography
Port libwvstreams to use NSS library for cryptography
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libwvstreams (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
 
Reported: 2007-10-23 06:20 EDT by Peter Vrabec
Modified: 2010-06-10 10:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 04:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
incomplete port of library to nss_compat_ossl (16.09 KB, patch)
2008-08-14 07:20 EDT, Kamil Dudka
no flags Details | Diff

  None (edit)
Description Peter Vrabec 2007-10-23 06:20:20 EDT
libwvstreams should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Kamil Dudka 2008-08-14 07:20:45 EDT
Created attachment 314307 [details]
incomplete port of library to nss_compat_ossl

I tried to port libwvstreams to nss_compat_ossl and I postponed it for now. Too many interfaces are missing in current nss_compat_ossl, e.g. the blowfish cipher is not implemented by NSS at all.

See attached patch, containing my attempt of port. Configure script now supports switching between OpenSSL and nss_compat - added new parameter --with-nss_compat (--without-nss_compat):
$ autoheader --force
$ autoconf --force
$ ./configure --with-nss_compat ...

These modules were not ported yet:
$ touch crypto/wvblowfish.o
$ touch crypto/wvdiffiehellman.o
$ touch crypto/wvdigest.o
$ touch crypto/wvtripledes.o
$ touch crypto/wvx509.o
$ touch crypto/wvx509mgr.o
Comment 2 Kamil Dudka 2009-08-11 10:20:38 EDT
Reassigning back to maintainer.

Note You need to log in before you can comment on or make changes to this bug.